-- 创建认证结果记录表
CREATE TABLE sys_cert_result_record
(
    `id`           INT(20) AUTO_INCREMENT PRIMARY KEY,
    `user_id`      INTEGER(20)  NOT NULL COMMENT '用户id',
    `dept_id`      INTEGER(20)  NOT NULL COMMENT '归属体id',
    `subject_type` INT(1)       NOT NULL COMMENT '归属类型：0-> 人力家，1-> 税邦云',
    `method`       VARCHAR(25)  NOT NULL COMMENT '请求方法',
    `code`         VARCHAR(5)   NULL COMMENT '状态码',
    `status`       VARCHAR(5)   NULL COMMENT '结果码',
    `message`      VARCHAR(256) NOT NULL COMMENT '结果信息',
    create_time    TIMESTAMP    NOT NULL COMMENT '创建时间'

)
    COMMENT '认证结果记录表' CHARSET = utf8mb4;