USE `hnqzx`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for user_agreement_signature_record
-- ----------------------------
DROP TABLE IF EXISTS `user_agreement_signature_record`;
CREATE TABLE `user_agreement_signature_record`
(
    `id`          INT AUTO_INCREMENT COMMENT 'id',
    `user_id`     INT      NOT NULL COMMENT '用户id',
    `target`      INT(1)  NOT NULL COMMENT '协议方',
    `agreement`   MEDIUMTEXT        DEFAULT NULL COMMENT '协议文本',
    `sign_time`   DATETIME NOT NULL COMMENT '签署时间',
    `create_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB
  AUTO_INCREMENT = 9
  DEFAULT CHARSET = utf8mb4 COMMENT ='用户协议签名';

SET FOREIGN_KEY_CHECKS = 1;