package com.qunzhixinxi.hnqz.common.taxhelper.entity.model;

import com.qunzhixinxi.hnqz.common.taxhelper.config.TaxHelperConfig;
import lombok.Data;
import lombok.Getter;


/**
 * {@code TaxHelperAppletBizTokenModel} 微信e政通人脸核身获取token
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-06-07
 * @since ver.1.0.0
 */
@Data
public class TaxHelperEidTokenModel extends TaxHelperModel {

	private static final long serialVersionUID = 2900768927090608155L;

	/**
	 * 身份证号
	 */
	private String idCard;

	/**
	 * 	EID商户id
	 */
	@Getter
	final String merchantId;


	public TaxHelperEidTokenModel(TaxHelperConfig taxHelperConfig){
		this.appId = taxHelperConfig.getAppId();
		this.appSecrete = taxHelperConfig.getAppSecrete();
		this.queryUrl = taxHelperConfig.getQueryUrl();
		// this.merchantId = "0NSJ2104091559324068";
		this.merchantId = "0NSJ2201061648099814";
	}


}
