package com.qunzhixinxi.hnqz.admin.api.constant;

public interface CacheConstants {


	String ARTICLE_HOT_KEY = "article_hot_key";

	String USER_NOTICE_KEY = "user_notice_key:";
	String USER_ADD_NOTICE_KEY = "user_add_notice_key:";

	String DRUG_ENT_PERSONAL_SHARE_KEY1 = "share_drug_ent:";
	String DRUG_ENT_PERSONAL_SHARE_KEY2 = "userId:";

	/**
	 * 文章每人分享限制缓存
	 */
	String ARTICLE_PERSONAL_SHARE_KEY = "share_article:";

	String SETTLE_PACKAGE_KEY = "settle_package_key:settle";

	String EMAIL_KEY = "email_key:";

	/**
	 * 税邦云登录key
	 */
	String TAX_HELPER_LOGIN_KEY = "TAXHELPER:LOGIN_KEY:";

	/**
	 * 问问风湿登陆缓存key
	 */
	String WENWEN_LOGIN_KEY = "WENWEN_LOGIN_KEY";

	/**
	 * 甲方缓存
	 */
	String PARTY_A_CACHE_KEY = "PARTY_A_CACHE_KEY:";

	/**
	 * 税邦云认证回调key
	 */
	String TAX_HELPER_CHECK_FACE_NOTIFY_KEY = "TAXHELPER::CHECK::FACE::NOTIFY::KEY::";

	/**
	 * 税邦云结算回调key
	 */
	String TAX_HELPER_SETTLEMENT_NOTIFY_KEY = "TAXHELPER::SETTLEMENT::NOTIFY::KEY::";

	/**
	 * 微信公众号access_token的key
	 */
	String SYS_WX_ACCOUNT_TOKEN_KEY = "SYS::WX::ACCOUNT::TOKEN::KEY";

	/**
	 * 微信公众号发送图文消息key
	 */
	String SYS_WX_ACCOUNT_CALLBACK = "SYS::WX::ACCOUNT::CALLBACK";

	/**
	 * 定时任务-每日统计GMVs的key
	 */
	String QUARTZ_DAILY_GMVS_STATISTICS = "QUARTZ::DAILY::GMVS::STATISTICS";

	/**
	 * 7天
	 */
	int NOTICE_TIME = 7;

	int SHARE_TIME = 1;

	int SETTLE_TIME = 2;

	/**
	 * 渠道限额缓存
	 */
	String MONITORING_INDICATOR = "monitoring_indicator";

	/**
	 * zb报告导出缓存
	 */
	String EXPORT_ZB_REPORT_CACHE = "export:zb_report:%s";
	String EXPORT_ZB_REVIEW_REPORT_CACHE = "export:zb_review_report:%s";
	String EXPORT_NBA_REPORT_CACHE = "export:nba_report:%s";
	String EXPORT_NBA_HISTORY_REPORT_CACHE = "export:nba_history_report:%s";
	String EXPORT_NB_REPORT_CACHE = "export:nb_report:%s";
	String EXPORT_NB_REVIEW_REPORT_CACHE = "export:nb_review_report:%s";

	/**
	 * excel报告导出缓存
	 */
	String EXCEL_EXPORT_ZB_REPORT_CACHE = "excel_export:zb_report:%s";
	String EXCEL_EXPORT_ZB_REVIEW_REPORT_CACHE = "excel_export:zb_review_report:%s";
	String EXCEL_EXPORT_NBA_REPORT_CACHE = "excel_export:nba_report:%s";
	String EXCEL_EXPORT_NBA_HISTORY_REPORT_CACHE = "excel_export:nba_history_report:%s";
	String EXCEL_EXPORT_NB_REPORT_CACHE = "excel_export:nb_report:%s";
	String EXCEL_EXPORT_NB_REVIEW_REPORT_CACHE = "excel_export:nb_review_report:%s";


	Long DEF_REPORT_CREATING_TTL = 24L * 60 * 60 * 1000;

	/**
	 * 批量创建积分包缓存 package:history:#{deptId}:#{userId}
	 */
	String BATCH_PACKAGE_HISTORY = "package:history:%s:%s";

	/**
	 * 任务内容草稿
	 */
	String TASK_CONTENT_DRAFT = " typeid%s:userid%s";

	/**
	 * 用户签约认证响应队列key
	 */
	String USER_SIGN_CERT_RESPONSE_MQ_KEY = "USER:SIGN:CERT:RESPONSE:KEY:";

	/**
	 * 用户签约认证响应结果key
	 */
	String USER_SIGN_CERT_RESPONSE_KEY = "USER:SIGN:CERT:RESPONSE:KEY:";

	/**
	 * 绑卡换绑的新银行卡号
	 */
	String BIND_CARD_CONFIRM_NEW_BANK_CARD = "BIND:CARD:CONFIRM:NEW:BANK:CARD:";

	/**
	 * 自由职家签约结果回调key
	 */
	String OLADING_NOTIFY_KEY = "OLADING:NOTIFY:KEY:";

	/**
	 * 正启之星异步结果回调key
	 */
	String ZHEGN_QI_ZHI_XING_NOTIFY_KEY = "ZHEGN:QI:ZHI:XING:NOTIFY:KEY:";

	/**
	 * 汇企云异步结果回调key
	 */
	String HUI_QI_YUN_NOTIFY_KEY = "HUI:QI:YUN:NOTIFY:KEY:";

	/**
	 * 福建企赋签约异步结果回调key
	 */
	String QI_FU_SIGN_NOTIFY_KEY = "ZHONG:YI:YUN:SIGN:NOTIFY:KEY:";

	/**
	 * 福建企赋结算异步结果回调key
	 */
	String QI_FU_SETTLE_NOTIFY_KEY = "ZHONG:YI:YUN:SETTLE:NOTIFY:KEY:";

	/**
	 * 众蚁云签约异步结果回调key
	 */
	String ZHONG_YI_YUN_SIGN_NOTIFY_KEY = "ZHONG:YI:YUN:SIGN:NOTIFY:KEY:";

	/**
	 * 众蚁云结算异步结果回调key
	 */
	String ZHONG_YI_YUN_SETTLE_NOTIFY_KEY = "ZHONG:YI:YUN:SETTLE:NOTIFY:KEY:";

	/**
	 * 中智结算异步结果回调key
	 */
	String ZHONG_ZHI_SETTLE_NOTIFY_KEY = "ZHONG:ZHI:SETTLE:NOTIFY:KEY:";

	/**
	 * 发起阿拉丁认证渠道记录key
	 */
	String OLADING_CERT_SEND_CHANNEL = "OLADING:CERT:SEND:CHANNEL:";

	/**
	 * E证通获取认证结果key
	 */
	String EID_RESULT_KEY = "EID:RESULT:KEY:";

	/**
	 * 任务复审key
	 */
	String TASK_REVIEW_KEY = "TASK:REVIEW:KEY:";

	/**
	 * 任务审核key
	 */
	String TASK_APPROVAL_KEY = "TASK:APPROVAL:KEY:";

	/**
	 * 开票信息缓存key
	 */
	String INVOICE_DEPT_KEY = "INVOICE:DEPT:KEY:";

	/**
	 * 终止积分包key
	 */
	String TERMINATE_PACKAGE_KEY = "TERMINATE:PACKAGE:KEY:";

	/**
	 * 企业任务类型缓存key
	 */
	String ENT_TASK_CACHE_KEY = "ENT:TASK:CACHE:KEY:";

}
