package com.qunzhixinxi.hnqz.admin.api.constant;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 层级标签
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-11-02 10:53
 */
public final class UpmsLevel {

	private UpmsLevel() {
	}

	// 企业等级
	@Getter
	@AllArgsConstructor
	public enum EnterpriseLevel {

		L1("L1", "一级"),
		L2("L2", "二级");

		@EnumValue
		private final String level;
		private final String description;

	}
}
