package com.qunzhixinxi.hnqz.admin.api.dto;

import com.qunzhixinxi.hnqz.admin.api.model.WmQuizResultModel;
import lombok.AccessLevel;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * 积分包操作dto
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-10-24 16:08
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class WmPkgDTO {

	@Data
	public static class OnPkgPickup {

		@NotBlank(message = "积分包ID必填")
		private String pkgId;

		private WmQuizResultModel[] quizResults;

	}
}
