package com.qunzhixinxi.hnqz.admin.api.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;


@Data
@TableName(value = "single_ent_settle_same_amount_for_members_in_current_month")
public class SingleEnterpriseSettleSameAmountForSeveralMembersInCurrentMonth implements Serializable {

	private static final long serialVersionUID = -3597822678068222296L;

	/**
	 * 记录id
	 */
	@TableId(type = IdType.AUTO)
	@ExcelProperty("序号")
	private Integer recordId;

	/**
	 * 结算记录id
	 */
	@ExcelProperty("结算记录id")
	private Integer noteId;

	/**
	 * 真实名称
	 */
	@ExcelProperty("真实名称")
	private String realname;

	/**
	 * 用户名
	 */
	@ExcelProperty("用户名")
	private String username;

	/**
	 * 结算企业id
	 */
	@ExcelProperty("结算企业id")
	private String deptId;

	/**
	 * 结算企业信息
	 */
	@ExcelProperty("结算企业信息")
	private String deptName;

	/**
	 * 结算金额
	 */
	@ExcelProperty("结算金额")
	private BigDecimal settleAmount;

	/**
	 * 提交结算时间
	 */
	@ExcelProperty("提交结算时间")
	private LocalDateTime subToGigTime;

	/**
	 * 结算状态
	 */
	@ExcelProperty("结算状态")
	private String settleState;

	/**
	 * 结算渠道名称
	 */
	@ExcelProperty("结算渠道名称")
	private String subTypeName;

	/**
	 * 积分包名称
	 */
	@ExcelProperty("积分包名称")
	private String packageName;

	/**
	 * 结算记录创建时间
	 */
	@ExcelProperty("结算记录创建时间")
	private String settleNoteCreateTime;

	/**
	 * 统计周期
	 */
	@ExcelProperty("统计周期")
	private Integer period;

	/**
	 * 风控人数
	 */
	@ExcelProperty("风控人数")
	private Integer memberCount;

	/**
	 * 记录创建时间
	 */
	@ExcelProperty("记录创建时间")
	private LocalDateTime createTime;

	/**
	 * uuid
	 */
	@ExcelIgnore
	private String uuid;


}
