package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 企业客户成功关系表
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-10-10 12:07
 */
@Data
@ToString
@TableName(value = "sys_dept_csm")
public class SysDeptCsm implements Serializable {
	private static final long serialVersionUID = -5999156304188019589L;

	/**
	 * 记录id
	 */
	@TableId(type = IdType.AUTO)
	private Integer recId;

	/**
	 * 部门id
	 */
	private Integer deptId;

	/**
	 * 绑定的智能码id
	 */
	@TableField(value = "wl_qrcode_id")
	private String qrCodeId;

	/**
	 * 企业id
	 */
	private String corpId;

	/**
	 * 客户成功姓名
	 */
	private String csmName;
}
