package com.qunzhixinxi.hnqz.admin.api.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

import java.io.Serializable;

/**
 * {@code WmScorePackageStatusBatch}
 * <p>
 * 批量审核领包记录
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/11/22 15:11
 */
@Data
public class WmScorePackageStatusBatch implements Serializable {

	/**
	 * 批量id
	 */
	private String batchIds;

	/**
	 * 审批状态
	 */
	private ApprovalStatus status;


	@Getter
	@AllArgsConstructor
	public enum ApprovalStatus {

		PASSED(1, "通过"),
		REJECTED(2, "拒绝");

		private final int code;

		private final String message;
	}

}
