package com.qunzhixinxi.hnqz.admin.api.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code SignatureStatusEnum}
 * <p>
 * 签名状态枚举
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/08/02 15:03:31
 */
@Getter
@AllArgsConstructor
public enum SignatureStatusEnum {

	NOT_SIGNED(0, "未签署"),
	SIGNED(1, "已签署");

	@EnumValue
	private final int code;

	private final String message;
}
