package com.qunzhixinxi.hnqz.admin.api.model;

import com.qunzhixinxi.hnqz.admin.api.entity.WmQuestion;
import lombok.Data;

import java.io.Serializable;

/**
 * 问卷结果模型
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-10-24 16:10
 */
@Data
public final class WmQuizResultModel implements Serializable {
	private static final long serialVersionUID = 6211888315171373218L;


	private Integer quizId;

	private String title;

	private Integer itemQty;

	private Integer totalMark;

	private Integer passingMark;

	private Integer finalMark;

	private WmQuizResultModel.QuizResultItem[] items;


	@Data
	public static class QuizResultItem implements Serializable {

		private static final long serialVersionUID = 8067658146266706311L;

		private String label;

		private WmQuestion.Option[] options;

		private String answer;

		private Integer mark;

		private String answered;

	}
}
