package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 汇企云回调异步通知记录
 * @TableName huiqiyun_input_record
 */
@TableName(value ="huiqiyun_input_record")
@Data
public class HuiqiyunInputRecord extends Model<HuiqiyunInputRecord> {
	private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     *  报文流水号
     */
    private String reqMsgId;

    /**
     * 请求body
     */
    private String reqBody;

	/**
	 * 解密后的body
	 */
	private String decryptBody;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}