package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * @author: lixuesong
 * @createTime: 2022/10/27 11:20
 * @description: 浪潮(灵才接好活)结算回调记录
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "lingcaiai_input_record")
public class LingcaiaiInputRecord extends Model<LingcaiaiInputRecord> {

	/**
	 * 主键id
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;

	/**
	 * 签名
	 */
	private String verify;

	/**
	 * 通知类型
	 */
	private String channel;

	/**
	 * 请求body内容
	 */
	private String reqBody;

	/**
	 * 项目单号
	 */
	private String batchNo;

	/**
	 * 账号单号
	 */
	private String accountNo;

	/**
	 * 订单状态（0未支付，1已支付，2已取消）
	 */
	private Integer orderStatus;

	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;
}
