/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 *
 *
 * @author pigx code generator
 * @date 2021-02-19 20:56:06
 */
@Data
@TableName("re_dept_drug")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "药品推广企业关联表")
public class ReDeptDrug extends Model<ReDeptDrug> {
private static final long serialVersionUID = 1L;

    /**
     * 药品id
     */
    @ApiModelProperty(value="药品id")
    private Integer drugId;

    /**
     * 企业id
     */
    @ApiModelProperty(value="企业id")
    private Integer deptId;
    }
