package com.qunzhixinxi.hnqz.admin.entity;

import com.qunzhixinxi.hnqz.admin.util.CDataAdapter;
import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

/**
 * 微信请求消息体
 *
 * @author lixuesong
 * @date 2021年04月29日 9:24
 */
@Data
@XmlAccessorType(XmlAccessType.FIELD)
public class SysWxReplyMessageNewsPostBody {

	/**
	 * 图文消息标题
	 */
	@XmlJavaTypeAdapter(CDataAdapter.class)
	@XmlElement(name = "Title")
	private String title;

	/**
	 * 图文消息描述
	 */
	@XmlJavaTypeAdapter(CDataAdapter.class)
	@XmlElement(name = "Description")
	private String description;

	/**
	 * 图片链接
	 */
	@XmlJavaTypeAdapter(CDataAdapter.class)
	@XmlElement(name = "PicUrl")
	private String picUrl;

	/**
	 * 点击图文消息跳转链接
	 */
	@XmlJavaTypeAdapter(CDataAdapter.class)
	@XmlElement(name = "Url")
	private String url;

}