/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.FieldNameConstants;

/**
 * 任务内容表
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:25
 */
@Data
@TableName("wm_task_content")
@FieldNameConstants(asEnum = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "任务内容表")
public class WmTaskContent extends Model<WmTaskContent> {

	private static final long serialVersionUID = -7346900107320565265L;

	@TableId
	@ApiModelProperty(value = "主键id")
	private Integer id;

	@ApiModelProperty(value = "字段1")
	private String temp1;

	@TableField(exist = false)
	private String temp1label;

	@ApiModelProperty(value = "字段2")
	private String temp2;

	@TableField(exist = false)
	private String temp2label;

	@ApiModelProperty(value = "字段3")
	private String temp3;

	@TableField(exist = false)
	private String temp3label;

	@ApiModelProperty(value = "字段4")
	private String temp4;

	@TableField(exist = false)
	private String temp4label;

	@ApiModelProperty(value = "字段5")
	private String temp5;

	@TableField(exist = false)
	private String temp5label;

	@ApiModelProperty(value = "字段6")
	private String temp6;

	@TableField(exist = false)
	private String temp6label;

	@ApiModelProperty(value = "字段7")
	private String temp7;

	@TableField(exist = false)
	private String temp7label;

	@ApiModelProperty(value = "字段8")
	private String temp8;

	@TableField(exist = false)
	private String temp8label;

	@ApiModelProperty(value = "字段9")
	private String temp9;

	@TableField(exist = false)
	private String temp9label;

	@ApiModelProperty(value = "字段10")
	private String temp10;

	@TableField(exist = false)
	private String temp10label;

	@ApiModelProperty(value = "字段11")
	private String temp11;

	@TableField(exist = false)
	private String temp11label;

	@ApiModelProperty(value = "字段12")
	private String temp12;

	@TableField(exist = false)
	private String temp12label;

	@ApiModelProperty(value = "字段13")
	private String temp13;

	@TableField(exist = false)
	private String temp13label;

	@ApiModelProperty(value = "字段14")
	private String temp14;

	@TableField(exist = false)
	private String temp14label;

	@ApiModelProperty(value = "字段15")
	private String temp15;

	@TableField(exist = false)
	private String temp15label;

	@ApiModelProperty(value = "字段16")
	private String temp16;

	@TableField(exist = false)
	private String temp16label;

	@ApiModelProperty(value = "字段17")
	private String temp17;

	@TableField(exist = false)
	private String temp17label;

	@ApiModelProperty(value = "字段18")
	private String temp18;

	@TableField(exist = false)
	private String temp18label;

	@ApiModelProperty(value = "字段19")
	private String temp19;

	@TableField(exist = false)
	private String temp19label;

	@ApiModelProperty(value = "字段20")
	private String temp20;

	@TableField(exist = false)
	private String temp20label;

	@ApiModelProperty(value = "字段21")
	private String temp21;

	@TableField(exist = false)
	private String temp21label;

	@ApiModelProperty(value = "字段22")
	private String temp22;

	@TableField(exist = false)
	private String temp22label;

	@ApiModelProperty(value = "字段23")
	private String temp23;

	@TableField(exist = false)
	private String temp23label;

	@ApiModelProperty(value = "字段24")
	private String temp24;

	@TableField(exist = false)
	@ApiModelProperty(value = "字段24label")
	private String temp24label;

	@ApiModelProperty(value = "字段25")
	private String temp25;

	@TableField(exist = false)
	private String temp25label;

	@ApiModelProperty(value = "字段26")
	private String temp26;

	@TableField(exist = false)
	@ApiModelProperty(value = "字段26label")
	private String temp26label;

	@ApiModelProperty(value = "字段28")
	private String temp28;

	@TableField(exist = false)
	private String temp28label;

	@ApiModelProperty(value = "字段29")
	private String temp29;

	@TableField(exist = false)
	private String temp29label;

	/**
	 * 用于存储任务类型
	 */
	@ApiModelProperty(value = "字段30")
	private String temp30;

	@TableField(exist = false)
	private String temp30label;

	@ApiModelProperty(value = "字段31")
	private String temp31;

	@TableField(exist = false)
	private String temp31label;

	/**
	 * 用于记录关联积分包id
	 */
	@ApiModelProperty(value = "字段32")
	private String temp32;

	@TableField(exist = false)
	private String temp32label;

	@TableField(exist = false)
	private String draftKey;

}
