package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 任务类型二级分类表
 * @TableName wm_task_type_sub_cate2
 */
@TableName(value ="wm_task_type_sub_cate2")
@Data
public class WmTaskTypeSubCate2 implements Serializable {

	private static final long serialVersionUID = 6741894674905816850L;

	/**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Integer dttId;

    /**
     * 企业id
     */
    private Integer typeId;

    /**
     * 任务名称
     */
    private String typeName;

    /**
     * 次级分类
     */
    private String subCate;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

}