package com.qunzhixinxi.hnqz.admin.entity.dto;

import com.qunzhixinxi.hnqz.admin.enums.SubjectLocation;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * {@code ExecSettlementDTO} 执行结算DTO
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-27
 * @since ver.1.0.0
 */
@Data
public class ExecSettlementDTO implements Serializable {
	private static final long serialVersionUID = 8082076164255320136L;

	/**
	 * 部门id
	 */
	private Integer deptId;

	/**
	 * 用户名
	 */
	private String mobile;

	/**
	 * 积分包id
	 */
	private Integer packageId;

	/**
	 * 结算dto
	 */
	private List<SettlementDTO> settlementDTOList;

	/**
	 * 结算总金额
	 */
	private String amount;

	/**
	 * 税源地
	 */
	private SubjectLocation location;

}
