package com.qunzhixinxi.hnqz.admin.entity.dto;

import com.qunzhixinxi.hnqz.admin.entity.WmReport;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 结算报告审批-查看的请求参数
 */
@Data
public class ReportTaskListPageDTO implements Serializable {
    private static final long serialVersionUID = 6529491449451060362L;

    /**
     * 报告id
     */
    @NotNull(message = "报告id必填")
    private Integer id;

    /**
     * 报告对象
     */
    private WmReport wmReport;

    /**
     * 1审批，0查看
     */
    private Integer isApprovalPage;

    /**
     * 报告审核状态: 0-未审核,1-通过,2-不通过
     */
    private String reportApprovalOpinion;

    /**
     * 任务状态
     */
    private String taskStatus;

    /**
     * 任务类型 ID
     */
    private String taskTypeId;

    /**
     * 任务编号
     */
    private String taskNumber;
}
