package com.qunzhixinxi.hnqz.admin.entity.input;

import lombok.Data;

import java.io.Serializable;

/**
 * {@code Record} 封装记录信息的实体
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-03-30
 * @since ver.1.0.0
 */
@Data
public class Record implements Serializable {
	private static final long serialVersionUID = -8113423910011723631L;

	/**
	 * 结算属性
	 */
	private RecordExt recordExt;

	// 参数1
	private String temp1;
	// 参数2
	private String temp2;
	// 参数3
	private String temp3;
	// 参数4
	private String temp4;
	// 参数5
	private String temp5;
	// 参数6
	private String temp6;
	// 参数7
	private String temp7;
	// 参数8
	private String temp8;
	// 参数9
	private String temp9;
	// 参数10
	private String temp10;
	// 参数11
	private String temp11;
	// 参数12
	private String temp12;

	@Data
	public static class RecordExt implements Serializable {

		private static final long serialVersionUID = 3989409307526528907L;

		/**
		 * 项目编码
		 */
		private String projectSn;

		/**
		 * 发票类型
		 */
		private Integer invoiceType;

		/**
		 * 发票类目
		 */
		private String invoiceCategory;

		/**
		 * 计算金额
		 */
		private String amount;
	}


}
