package com.qunzhixinxi.hnqz.admin.entity.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * {@code BatchPackagePartTimeExcelModel}
 * <p>
 * 批量下发积分包（兼职）
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/11/18 15:07
 */
@Data
public class BatchPackagePartTimeExcelModel implements Serializable {

	private static final long serialVersionUID = 311997134231676639L;


	/**
	 * 接单对象类型
	 */
	@ExcelProperty(index = 0, value = "接单对象类型")
	private String targetType;

	/**
	 * 积分包名称
	 */
	@ExcelProperty(index = 1, value = "积分包名称")
	private String scorePackageName;

	/**
	 * 积分包值，单位：元
	 */
	@ExcelProperty(index = 2, value = "积分包值")
	private Integer score;

	/**
	 * 描述
	 */
	@ExcelProperty(index = 3, value = "描述")
	private String description;

}
