package com.qunzhixinxi.hnqz.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qunzhixinxi.hnqz.admin.entity.WmDeptGmv;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * GMV数据统计主表
 *
 * @author lixuesong
 * @date 2021年06月08日 15:31
 */
@Mapper
public interface WmDeptGmvMapper extends BaseMapper<WmDeptGmv> {

	/**
	 * 根据deptId查询
	 *
	 * @param deptId
	 * @return
	 */
	List<WmDeptGmv> listDeptGmvByDeptId(@Param("deptId") Integer deptId);
}
