package com.qunzhixinxi.hnqz.admin.recharge.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 开票-发票类型
 *
 * @author snows
 * @date 2023/6/19 13:51
 */
@Getter
@AllArgsConstructor
public enum InvoiceType {

    GENERAL("GENERAL", "普票"),
    SPECIAL("SPECIAL", "专票");

    @EnumValue
    private final String type;

    private final String description;
}
