package com.qunzhixinxi.hnqz.admin.recharge.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 积分充值记录操作类型
 *
 * @author snows
 * @date 2023/6/12 14:42
 */
@Getter
@AllArgsConstructor
public enum RechargeRecordType {

    RECHARGE("RECHARGE", "充值"),
//    DISTRIBUTE("DISTRIBUTE", "分配积分"),
    SEND_PACKAGE_DEPT("SEND_PACKAGE_DEPT", "发包-企业"),
    SEND_PACKAGE_PERSONAL("SEND_PACKAGE_PERSONAL", "发包-个人"),
    RECOVERY("RECOVERY", "修改积分包");

    @EnumValue
    private final String type;

    private final String description;


}
