package com.qunzhixinxi.hnqz.admin.service;

import cn.hutool.json.JSONObject;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.entity.SysUserExtRecord;
import com.qunzhixinxi.hnqz.admin.enums.DelEnum;
import com.qunzhixinxi.hnqz.common.core.util.R;
import com.qunzhixinxi.hnqz.common.security.util.SecurityUtils;

/**
* 用户认证相关的扩展信息服务
*/
public interface SysUserExtRecordService extends IService<SysUserExtRecord> {

	/**
	 * 保存E证通认证结果
	 *
	 * @param userExtRecord
	 */
	void saveUserExtRecord(SysUserExtRecord userExtRecord);

	/**
	 * 查询E证通是否认证过
	 *
	 * @return
	 */
	boolean existUserExtRecord();

	/**
	 * 保存E证通认证结果
	 *
	 * @param data
	 */
	void eidResultHandler(JSONObject data);
}
