package com.qunzhixinxi.hnqz.admin.service.retry;

import com.qunzhixinxi.hnqz.admin.entity.WmScorePackageSettleNote;

import java.util.List;
import java.util.Map;

/**
 * 甲方重试服务接口
 * @author hengchen.sun
 * @date 2021.06.15
 */
public interface PartyARetryService {

	// /**
	//  * 问问风湿登陆appid和appsecret 测试
	//  */
	// String WENWEN_APP_ID = "tokenf1171fa0ab73709";
	// String WENWEN_APP_SECRET="token8e777a9436d52dc68d9803b2f";
	//
	// /**
	//  * url
	//  */
	// String WENWEN_LOGIN_URL = "https://wwfs.wenwenfengshi.com/wenwen/token";
	// String WENWEN_CERTIFICATION_RESULTS_URL = "https://wwfs.wenwenfengshi.com/onlineDrug/certificationResults";
	// String WENWEN_SETTLEMENT_RESULTS_URL="https://wwfs.wenwenfengshi.com/onlineDrug/settlementResults";

	/**
	 * 问问风湿登陆appid和appsecret 生产
	 */
	String WENWEN_APP_ID = "token9WHab9eLa1q1Tybf";
	String WENWEN_APP_SECRET="token50KiXfrLn1mrr1qTiPC8";

	/**
	 * url
	 */
	String WENWEN_LOGIN_URL = "https://api.wenwenfs.com/wenwen/token";
	String WENWEN_CERTIFICATION_RESULTS_URL = "https://api.wenwenfs.com/onlineDrug/certificationResults";
	String WENWEN_SETTLEMENT_RESULTS_URL="https://api.wenwenfs.com/onlineDrug/settlementResults";

	/**
	 * 执行认证回调（可重试）
	 * @param params 回调参数
	 */
	void doRetryableCertCallBack(Map<String, Object> params);

	/**
	 *  执行结算回调（可重试）
	 * @param noteList 结算记录列表
	 */
	void doRetryableSettleNoteCallBack(List<WmScorePackageSettleNote> noteList);
}
