/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.daemon.quartz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.daemon.quartz.entity.WmWkArticle;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;

/**
 * 文库-文章
 *
 * @author pigx code generator
 * @date 2020-08-03 19:27:31
 */
public interface WmWkArticleService extends IService<WmWkArticle> {

	public String uploadImg(MultipartFile multipartFile);

	public String uploadImgByByte(InputStream inputStream);

	Boolean updateNewFlag();

	Boolean setHotArtileTask(String para);
}
