-- 新增 CRO关联的项目管理表
CREATE TABLE `wm_project` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `dept_id` int(11) NOT NULL COMMENT '部门id',
  `project_number` varchar(50) NOT NULL COMMENT '项目编号',
  `project_name` varchar(50) NOT NULL COMMENT '项目名称',
  `delegate` varchar(50) NOT NULL COMMENT '委托方',
  `evidence_url` varchar(512) NOT NULL COMMENT '静态证据url',
  `sign_time` datetime NOT NULL COMMENT '项目签约时间',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user` int(11) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_user` int(11) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`),
  UNIQUE KEY `dept_id_project_number_unique` (`dept_id`,`project_number`) COMMENT '部门id和项目编号联合索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='项目管理'