-- 新增 团队管理表
CREATE TABLE `wm_team`
(
    `id`          int         NOT NULL AUTO_INCREMENT,
    `dept_id`     int         NOT NULL COMMENT '组织机构ID',
    `name`        VARCHAR(50) NOT NULL COMMENT '团队名称',
    `leader`      varchar(128)         DEFAULT NULL COMMENT '团队负责人',
    `member`      varchar(128)         DEFAULT NULL COMMENT '团队成员',
    `enable_flag` char(1)     NOT NULL DEFAULT '0' COMMENT '是否禁用（0-企业，1-禁用）',
    `del_flag`    char(1)     NOT NULL DEFAULT '0' COMMENT '是否删除（0-正常，1-已删除）',
    `create_time` datetime    NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `create_user` int                  DEFAULT NULL COMMENT '创建人',
    `update_time` datetime             DEFAULT NULL COMMENT '更新时间',
    `update_user` int                  DEFAULT NULL COMMENT '更新人',
    PRIMARY KEY (`id`)
) ENGINE = InnoDB
  AUTO_INCREMENT = 1000
  DEFAULT CHARSET = utf8mb4 COMMENT ='团队管理';
