CREATE TABLE `hnqzx`.`wm_import_user`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `score_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '积分包ID',
  `import_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '姓名',
  `import_phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '手机号',
  `import_id_card_number` varchar(18) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '身份证号',
  `user_sign` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '签名',
  `cert_status` int(2) NULL DEFAULT NULL COMMENT '认证状态',
  `cert_remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '认证结果描述',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_user` int(11) NULL DEFAULT NULL COMMENT '创建人',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '是否删除',
  `real_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '是否禁用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '导入任务成员表' ROW_FORMAT = Dynamic;


ALTER TABLE `wm_score_package` ADD `score_package_status` varchar(11) DEFAULT NULL  COMMENT '积分包状态';
ALTER TABLE `wm_task` ADD `task_status_info` varchar(500) DEFAULT NULL  COMMENT 'cso审核审核意见';



INSERT INTO `hnqzx`.`sys_dict`( `type`, `description`, `create_time`, `update_time`, `remarks`, `system`, `del_flag`, `tenant_id`)
VALUES ( 'enable_type', '终止类型', '2021-02-03 11:50:09', '2021-02-03 11:50:09', '终止类型', '0', '0', 1);
INSERT INTO `hnqzx`.`sys_dict`( `type`, `description`, `create_time`, `update_time`, `remarks`, `system`, `del_flag`, `tenant_id`)
VALUES ( 'score_package_status', '积分包状态', '2021-02-03 14:17:23', '2021-02-03 14:17:23', '积分包状态', '0', '0', 1);


INSERT INTO `hnqzx`.`sys_dict_item`(`id`, `dict_id`, `value`, `label`, `type`, `description`, `sort`, `create_time`, `update_time`, `remarks`, `del_flag`, `tenant_id`)
VALUES (239, 63, '1', '全部收回', 'enable_type', '全部收回', 2, '2021-02-03 11:55:36', '2021-02-03 11:55:36', '全部收回', '0', 1);
INSERT INTO `hnqzx`.`sys_dict_item`(`id`, `dict_id`, `value`, `label`, `type`, `description`, `sort`, `create_time`, `update_time`, `remarks`, `del_flag`, `tenant_id`)
VALUES (240, 63, '2', '部分收回', 'enable_type', '部分收回', 3, '2021-02-03 11:55:49', '2021-02-03 11:55:49', '部分收回', '0', 1);
INSERT INTO `hnqzx`.`sys_dict_item`(`id`, `dict_id`, `value`, `label`, `type`, `description`, `sort`, `create_time`, `update_time`, `remarks`, `del_flag`, `tenant_id`)
VALUES (241, 63, '0', '未终止', 'enable_type', '未终止', 1, '2021-02-03 13:57:39', '2021-02-03 13:57:39', '未终止', '0', 1);
INSERT INTO `hnqzx`.`sys_dict_item`(`id`, `dict_id`, `value`, `label`, `type`, `description`, `sort`, `create_time`, `update_time`, `remarks`, `del_flag`, `tenant_id`)
VALUES (242, 64, '1', '已分派待申领', 'score_package_status', '已分派待申领', 1, '2021-02-03 14:17:45', '2021-02-03 14:17:45', '已分派待申领', '0', 1);
INSERT INTO `hnqzx`.`sys_dict_item`(`id`, `dict_id`, `value`, `label`, `type`, `description`, `sort`, `create_time`, `update_time`, `remarks`, `del_flag`, `tenant_id`)
VALUES (243, 64, '2', '已申领待审批', 'score_package_status', '已申领待审批', 2, '2021-02-03 14:18:03', '2021-02-03 14:18:03', '已申领待审批', '0', 1);
INSERT INTO `hnqzx`.`sys_dict_item`(`id`, `dict_id`, `value`, `label`, `type`, `description`, `sort`, `create_time`, `update_time`, `remarks`, `del_flag`, `tenant_id`)
VALUES (244, 64, '3', '进行中', 'score_package_status', '进行中', 3, '2021-02-03 14:18:23', '2021-02-03 14:18:23', '进行中', '0', 1);
INSERT INTO `hnqzx`.`sys_dict_item`(`id`, `dict_id`, `value`, `label`, `type`, `description`, `sort`, `create_time`, `update_time`, `remarks`, `del_flag`, `tenant_id`)
VALUES (245, 64, '4', '已完成待结算', 'score_package_status', '已完成待结算', 4, '2021-02-03 14:18:42', '2021-02-03 14:18:42', '已完成待结算', '0', 1);
INSERT INTO `hnqzx`.`sys_dict_item`(`id`, `dict_id`, `value`, `label`, `type`, `description`, `sort`, `create_time`, `update_time`, `remarks`, `del_flag`, `tenant_id`)
VALUES (246, 64, '5', '已提交结算申请', 'score_package_status', '已提交结算申请', 5, '2021-02-03 14:19:02', '2021-02-03 14:19:02', '已提交结算申请', '0', 1);
INSERT INTO `hnqzx`.`sys_dict_item`(`id`, `dict_id`, `value`, `label`, `type`, `description`, `sort`, `create_time`, `update_time`, `remarks`, `del_flag`, `tenant_id`)
VALUES (247, 64, '6', '已终止', 'score_package_status', '已终止', 6, '2021-02-03 14:19:19', '2021-02-03 14:19:19', '已终止', '0', 1);
