-- 新增 部门任务类型模板
CREATE TABLE `wm_dept_task_type_template`
(
    `id`           int(11) NOT NULL AUTO_INCREMENT,
    `dept_id`      int(11) NOT NULL COMMENT '组织机构ID',
    `task_type_id` int(11)     DEFAULT NULL COMMENT '任务类型id',
    `template`     varchar(64) DEFAULT NULL COMMENT '模板',
    `create_time`  datetime    DEFAULT NULL COMMENT '创建时间',
    `create_user`  int(11)     DEFAULT NULL COMMENT '创建人',
    `update_time`  datetime    DEFAULT NULL COMMENT '更新时间',
    `update_user`  int(11)     DEFAULT NULL COMMENT '更新人',
    PRIMARY KEY (`id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='部门任务类型模板';

-- 新增 签到详情表
CREATE TABLE `wm_user_sign_detail`
(
    `id`      INT         NOT NULL AUTO_INCREMENT,
    `sign_id` INT         NOT NULL COMMENT '签到表id',
    `drug`    text        NOT NULL COMMENT '推广药品',
    `purpose` varchar(20) NOT NULL COMMENT '拜访目的',
    `result`  CHAR(1)     NOT NULL COMMENT '拜访结果',
    `remark`  VARCHAR(255) DEFAULT NULL COMMENT '备注',
    PRIMARY KEY (`id`)
) ENGINE = INNODB
  DEFAULT CHARSET = utf8mb4 COMMENT = '用户签到详情';