-- 正启之星请求记录表
create table xinbada_input_record
(
    id                 int auto_increment comment '主键id'
        primary key,
    signature          varchar(128)                        not null comment '签名',
    action_name        varchar(32)                         not null comment '通知类型',
    req_body           text                                not null comment '请求body内容',
    order_uuid         varchar(64)                         null comment '订单编号唯一',
    order_status       int                                 null comment '订单状态',
    order_no           varchar(32)                         null comment '',
    customer_user_uuid varchar(64)                         null comment '',
    server_user_uuid   varchar(64)                         null comment '',
    public_key         varchar(2048)                       null comment '请求公钥',
    private_key        varchar(2048)                       null comment '请求时私钥',
    create_time        timestamp default CURRENT_TIMESTAMP not null comment '创建时间'
)
    comment '正启之星请求记录';