USE hnqzx;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_dept_csm
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept_csm`;
CREATE TABLE `sys_dept_csm`
(
    `rec_id`       INT(20)     NOT NULL AUTO_INCREMENT COMMENT 'id',
    `dept_id`      INT(20)     NOT NULL COMMENT '企业id',
    `wl_qrcode_id` VARCHAR(32) NOT NULL COMMENT '绑定的智能码 id',
    `corp_id`      VARCHAR(32) NOT NULL COMMENT '企业id',
    `csm_name`     VARCHAR(32) NOT NULL COMMENT '客户成功姓名',
    `create_time`  DATETIME    NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `update_time`  DATETIME    NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
    PRIMARY KEY (`rec_id`) USING BTREE,
    INDEX `idx_dept_id` (`dept_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='企业csm表';

-- ----------------------------
-- Records of sys_dept_csm
-- ----------------------------
BEGIN;
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;