USE `hnqzx`;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for upms_sequence
-- ----------------------------
DROP TABLE IF EXISTS `upms_sequence`;
CREATE TABLE `upms_sequence`
(
    `id`           BIGINT                            NOT NULL AUTO_INCREMENT,
    `value`        BIGINT                            NOT NULL,
    `name`         VARCHAR(32) CHARACTER SET utf8mb4 NOT NULL,
    `gmt_create`   DATETIME                          NOT NULL,
    `gmt_modified` DATETIME                          NOT NULL,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `uk_name` (`name`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci;

-- ----------------------------
-- Records of upms_sequence
-- ----------------------------
BEGIN;
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;