package com.qunzhixinxi.hnqz.common.core.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * UPMS类型枚举
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-10-16 14:31
 */
@NoArgsConstructor(access = AccessLevel.NONE)
public final class UpmsType {

	@Getter
	@AllArgsConstructor
	public enum QuizSourceType {

		BLANK("BLK", "空白创建"),
		TEMPLATE("TMP", "模板");

		@EnumValue
		private String type;

		private String description;

	}
}
