package com.qunzhixinxi.hnqz.common.qcc.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;

import java.util.Map;

/**
 * 公共请求参数
 *
 * @author zhangwt
 * @since 1.0
 */
public abstract class CommonRequest {

	/**
	 * token数据
	 */
	@Getter
	@JsonIgnore
	protected String token;

	/**
	 * 查询地址
	 */
	@Getter
	@JsonIgnore
	protected String queryUrl;

	/**
	 * 查询地址
	 */
	@Getter
	@JsonIgnore
	protected String timestamp;


	/**
	 * 查询地址
	 */
	@Getter
	@JsonIgnore
	protected Map<String,String> params;





}
