package com.qunzhixinxi.hnqz.common.taxhelper.entity.request;

import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperAddMemberModel;
import lombok.Data;

/**
 * {@code TaxHelperAddMemberRequest} 增员request
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-19
 * @since ver.1.0.0
 */
@Data
public class TaxHelperAddMemberRequest extends TaxHelperRequest {

	/**
	 * 增员路径
	 */
	private static final String PATH = "/lgsby/api/addMembers";

	public TaxHelperAddMemberRequest(TaxHelperAddMemberModel bizModel) {
		this.bizModel = bizModel;
		this.queryUrl = String.format("%s%s", bizModel.getQueryUrl(), PATH);
	}


}
