package com.qunzhixinxi.hnqz.common.taxhelper.entity.request;

import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperEidTokenModel;
import lombok.Data;

/**
 * {@code TaxHelperAppletBizTokenRequest} 微信e政通人脸核身获取token请求
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-06-08
 * @since ver.1.0.0
 */
@Data
public class TaxHelperEidTokenRequest extends TaxHelperRequest {

	/**
	 * 小程序token请求地址
	 */
	private static final String PATH = "/lgsby/api/getEidToken";

	public TaxHelperEidTokenRequest(TaxHelperEidTokenModel bizModel){
		this.bizModel = bizModel;
		this.queryUrl = String.format("%s%s", bizModel.getQueryUrl(), PATH);
	}

}
