package com.qunzhixinxi.hnqz.common.taxhelper.entity.request;

import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperUserAgreementAuthorizationModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * {@code TaxHelperUserAgreementAuthorizationRequestV2}
 * <p>
 * 税邦云用户签约
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/08/09 17:43:49
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TaxHelperUserAgreementAuthorizationRequestV2 extends TaxHelperRequest {

	private final static String PATH = "/lgsby/api/v2/userAgreementAuthorization";


	public TaxHelperUserAgreementAuthorizationRequestV2(TaxHelperUserAgreementAuthorizationModel bizModel) {
		this.bizModel = bizModel;
		this.queryUrl = String.format("%s%s", bizModel.getQueryUrl(), PATH);
	}
}
