package com.qunzhixinxi.hnqz.common.taxhelper.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code TaxHelperSubjectChannelEnum}
 * <p>
 * 税邦云结算通道枚举
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2022/01/21 16:52
 */
@Getter
@AllArgsConstructor
public enum TaxHelperSubjectChannelEnum {

	CICC(0, "中金"),
	PING_AN_BANK(1, "平安银行");

	private final int code;

	private final String message;
}
