package com.qunzhixinxi.hnqz.admin.api.constant;

/**
 * {@code MqConstants}
 * <p>
 * 消息队列常量
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/11/17 11:21
 */
public interface MqConstants {

	/**
	 * 众包队列
	 */
	String DIRECT_MODE_REPORT_EXPORT_ZB_QUEUE = "direct_mode_report_export_zb_queue";
	String DIRECT_MODE_REPORT_EXPORT_ZB_REVIEW_QUEUE = "direct_mode_report_export_zb_review_queue";
	String DIRECT_MODE_REPORT_EXPORT_NBA_QUEUE = "direct_mode_report_export_nba_queue";
	String DIRECT_MODE_REPORT_EXPORT_NBA_HISTORY_QUEUE = "direct_mode_report_export_nba_history_queue";
	String DIRECT_MODE_REPORT_EXPORT_NB_QUEUE = "direct_mode_report_export_nb_queue";
	String DIRECT_MODE_REPORT_EXPORT_NB_REVIEW_QUEUE = "direct_mode_report_export_nb_review_queue";

	// excel报告导出队列
	String DIRECT_MODE_EXCEL_REPORT_EXPORT_ZB_QUEUE = "direct_mode_excel_report_export_zb_queue";
	String DIRECT_MODE_EXCEL_REPORT_EXPORT_ZB_REVIEW_QUEUE = "direct_mode_excel_report_export_zb_review_queue";
	String DIRECT_MODE_EXCEL_REPORT_EXPORT_NBA_QUEUE = "direct_mode_excel_report_export_nba_queue";
	String DIRECT_MODE_EXCEL_REPORT_EXPORT_NBA_HISTORY_QUEUE = "direct_mode_excel_report_export_nba_history_queue";
	String DIRECT_MODE_EXCEL_REPORT_EXPORT_NB_QUEUE = "direct_mode_excel_report_export_nb_queue";
	String DIRECT_MODE_EXCEL_REPORT_EXPORT_NB_REVIEW_QUEUE = "direct_mode_excel_report_export_nb_review_queue";

	/**
	 * gig服务队列
	 */
	String DIRECT_MODE_GIG_SIGN_CERT_QUEUE = "direct_mode_gig_sign_cert_queue";
	String DIRECT_MODE_GIG_SIGN_CERT_RES_QUEUE = "direct_mode_gig_sign_cert_res_queue";
	String DIRECT_MODE_GIG_BANK_CARD_QUEUE = "direct_mode_gig_bank_card_queue";

	/**
	 * 订单服务队列
	 */
	String DIRECT_MODE_OMS_ORDER_BATCH_SUBMIT_QUEUE = "direct_mode_oms_order_batch_submit_queue";

}
