package com.qunzhixinxi.hnqz.admin.api.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


@Data
@TableName(value = "single_member_without_such_task_types_in_several_months")
public class SingleMemberWithoutSuchTaskTypesInSeveralMonths implements Serializable {

	private static final long serialVersionUID = -3597822678068222296L;

	/**
	 * 记录id
	 */
	@TableId(type = IdType.AUTO)
	@ExcelProperty("记录id")
	private Integer recordId;

	/**
	 * 积分包id
	 */
	@ExcelProperty("积分包id")
	private Integer packageId;

	/**
	 * 积分包名称
	 */
	@ExcelProperty("积分包名称")
	private String packageName;

	/**
	 * 人员id
	 */
	@ExcelProperty("人员id")
	private Integer userId;

	/**
	 * 真实名称
	 */
	@ExcelProperty("真实名称")
	private String realname;

	/**
	 * 用户名
	 */
	@ExcelProperty("用户名")
	private String username;

	/**
	 * 结算企业id
	 */
	@ExcelProperty("结算企业id")
	private String deptId;

	/**
	 * 结算企业信息
	 */
	@ExcelProperty("结算企业信息")
	private String deptName;

	/**
	 * 统计周期
	 */
	@ExcelProperty("统计周期")
	private Integer period;

	/**
	 * 风控任务类型
	 */
	@ExcelProperty("风控任务类型")
	private String typeList;

	/**
	 * 记录创建时间
	 */
	@ExcelProperty("记录创建时间")
	private LocalDateTime createTime;

	/**
	 * 积分包状态
	 */
	@ExcelProperty("积分包状态")
	private String status;


	/**
	 * 积分包创建时间
	 */
	@ExcelProperty("积分包创建时间")
	private LocalDateTime packageCreateTime;

	/**
	 * 积分包领取时间
	 */
	@ExcelProperty("积分包领取时间")
	private LocalDateTime packagePickUpTime;

	/**
	 * 首个任务时间
	 */
	@ExcelProperty("首个任务时间")
	private LocalDateTime firstTaskTime;


	/**
	 * uuid
	 */
	@ExcelIgnore
	private String uuid;

}
