package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 广告记录
 *
 * @author jimmy
 * @date 2022/04/15 12/53
 */
@Data
@ToString
@TableName(value = "wm_ad_record")
public class WmAdRecord implements Serializable {

	private static final long serialVersionUID = 8155202747309692397L;

	@TableId(value = "record_id", type = IdType.AUTO)
	private Long id;

	private Integer userId;

	@TableField(value = "ad_url")
	private String url;

	private LocalDateTime createdTime = LocalDateTime.now();
}
