package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qunzhixinxi.hnqz.admin.api.constant.UpmsType;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 任务类型子类分表
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-08-17 17:16
 */
@Data
@ToString
@TableName(value = "wm_task_type_sub_cate")
public class WmTaskTypeSubCategory implements Serializable {
	private static final long serialVersionUID = 651823588693958084L;

	/**
	 * id
	 */
	@TableId(value = "ttsc_id", type = IdType.AUTO)
	private Integer taskTypeSubCateId;

	/**
	 * 任务类型id
	 */
	@TableField(value = "type_id")
	private Integer taskTypeId;

	/**
	 * 类型名称
	 */
	private String typeName;

	/**
	 * 二级分类
	 */
	@TableField(value = "sub_cate")
	private UpmsType.TaskSubCategory subCategory;


	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;

	/**
	 * 创建时间
	 */
	private LocalDateTime updateTime;

}
