package com.qunzhixinxi.hnqz.admin.api.vo;

import com.qunzhixinxi.hnqz.admin.api.constant.UpmsLevel;
import com.qunzhixinxi.hnqz.admin.api.constant.UpmsType;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * 企业关系vo
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-11-02 14:45
 */
@Data
@ToString
public class SysEnterpriseRelationVO implements Serializable {
	private static final long serialVersionUID = 1318703734982431471L;

	private Long relId;
	private Long entId;
	private String entName;
	private Long rootId;
	private String rootName;
	private UpmsType.EnterpriseType entType;
	private UpmsType.ProductLine productLine;
	private UpmsLevel.EnterpriseLevel entLevel;
	private List<SysEnterpriseServiceChargeVO> serviceCharges;


}
