package com.qunzhixinxi.hnqz.admin.controller;

import cn.hutool.core.date.DateUtil;
import com.qunzhixinxi.hnqz.common.core.util.R;
import com.qunzhixinxi.hnqz.common.security.annotation.Inner;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 测试服务可用性
 */
@Slf4j
@RestController
@AllArgsConstructor
@RequestMapping("/ping")
public class SysPingController {

	/**
	 * 测试服务可用性
	 *
	 * @return
	 */
	@Inner(value = false)
	@GetMapping
	public R<?> ping() {
		log.info("ping通了");
		return R.ok(DateUtil.now());
	}
}
