package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 自由职家请求记录实体
 *
 * @author lixuesong
 * @date 2022年04月18日 15:33
 */
@Data
public class OladingInputRecord extends Model<OladingInputRecord> {

	private static final long serialVersionUID = 8128442024567142412L;

	/**
	 * 主键id
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;

	/**
	 * 请求流水号
	 */
	private String requestId;

	/**
	 * 请求接口名称
	 */
	private String interfaceName;

	/**
	 * 请求body内容
	 */
	private String reqBody;

	/**
	 * 请求公钥
	 */
	private String publicKey;

	/**
	 * 请求时私钥
	 */
	private String privateKey;

	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;
}
