/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 *
 *
 * @author pigx code generator
 * @date 2020-12-11 13:23:56
 */
@Data
@TableName("re_album_drug")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class ReAlbumDrug extends Model<ReAlbumDrug> {
private static final long serialVersionUID = 1L;

    /**
     * 产品相册ID
     */
    @ApiModelProperty(value="产品相册ID")
    private Integer albumId;
    /**
     * 药品ID
     */
    @ApiModelProperty(value="药品ID")
    private Integer drugId;
    }
