package com.qunzhixinxi.hnqz.admin.entity;

import com.qunzhixinxi.hnqz.admin.util.CDataAdapter;
import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

/**
 * 微信请求消息体
 *
 * @author lixuesong
 * @date 2021年04月29日 9:24
 */
@Data
@XmlAccessorType(XmlAccessType.FIELD)
public class SysWxReplyMessageImagePostBody {

	/**
	 * 通过素材管理中的接口上传多媒体文件，得到的id
	 */
	@XmlJavaTypeAdapter(CDataAdapter.class)
	@XmlElement(name = "MediaId")
	private String mediaId;

}