package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 部门任务类型配置实体
 *
 * @author lixuesong
 * @date 2021年12月02日 18:56
 */
@Data
@TableName("wm_dept_task_type_config")
@EqualsAndHashCode(callSuper = true)
public class WmDeptTaskTypeConfig extends Model<WmDeptTaskTypeConfig> {

	/**
	 * 主键id
	 */
	@TableId
	private Integer id;

	/**
	 * 部门id
	 */
	private Integer deptId;

	/**
	 * 任务类型配置
	 */
	private String taskTypeJson;

	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;

	/**
	 * 创建人
	 */
	private Integer createUser;

	/**
	 * 更新时间
	 */
	private LocalDateTime updateTime;

	/**
	 * 更新人
	 */
	private Integer updateUser;
}
