package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 正启之星请求记录
 *
 * @TableName xinbada_input_record
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "xinbada_input_record")
public class XinbadaInputRecord extends Model<XinbadaInputRecord> {

	/**
	 * 主键id
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;

	/**
	 * 签名
	 */
	private String signature;

	/**
	 * 通知类型
	 */
	private String actionName;

	/**
	 * 请求body内容
	 */
	private String reqBody;

	/**
	 * 订单编号唯一
	 */
	private String orderUuid;

	/**
	 * 订单状态
	 */
	private Integer orderStatus;

	/**
	 *
	 */
	private String orderNo;

	/**
	 *
	 */
	private String customerUserUuid;

	/**
	 *
	 */
	private String serverUserUuid;

	/**
	 * 请求公钥
	 */
	private String publicKey;

	/**
	 * 请求时私钥
	 */
	private String privateKey;

	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;

}