package com.qunzhixinxi.hnqz.admin.entity.dto;

import com.qunzhixinxi.hnqz.admin.enums.ChannelEnum;
import com.qunzhixinxi.hnqz.admin.enums.SubjectLocation;
import lombok.Data;

import java.io.Serializable;

/**
 * {@code ScorePackageSettleNoteDTO} 类积分包结算dto
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-27
 * @since ver.1.0.0
 */
@Data
public class ScorePackageSettleNoteDTO implements Serializable {

	private static final long serialVersionUID = -4419586532513327754L;

	// 手机号
	private String mobile;

	// 部门id
	private Integer deptId;

	// 积分包id
	private Integer packageId;

	// 结算记录id
	private Integer settleNoteId;

	// 税源地
	private SubjectLocation location;

	// 发票类型
	private Integer invoiceType;

	// 发票类目
	private String invoiceCategory;

	// 任务id
	private Integer taskId;

	// 结算金额
	private String amount;
}
