package com.qunzhixinxi.hnqz.admin.entity.input;

import com.qunzhixinxi.hnqz.admin.enums.SubjectLocation;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 结算页面输出
 */
@Data
public class WmScorePackageSettleOutput {

	private String id;

	private Integer invoiceCategory;

	private BigDecimal settleAmount;

	private BigDecimal actualAmount;

	private String status;

	private String settleStatus;

	private String enableType;

	private String taskAddFlag;

	private String sendPackageDeptId;

	private String packageFinishStatus;

	private String packageEntName;

	private String packageType1;

	private String packageType2;

	private String description;

	private String scorePackageName;

	private LocalDateTime createTime;

	private String belongDate;

	private String score;

	private Integer ytj;

	private Integer ysh;

	private Integer dsh;

	private String userNames;

	private String userPhones;

	/**
	 * 身份证号
	 */
	private String idCardNums;

	private String subType;

	private SubjectLocation subjectLocation;

	/**
	 * 积分包来源， 0->手动， 1->线上
	 */
	private String sourceType;

	private String settleNoteNumber;

	/**
	 * 订单编号
	 */
	private String omsOrderSn;

	/**
	 * 提交到零工时间
	 */
	private LocalDateTime subToGigTime;

}
