package com.qunzhixinxi.hnqz.admin.entity.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * {@code BatchPackageExcelModel}
 * <p>
 * 批量下发积分包
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/11/18 15:07
 */
@Data
public class BatchPackageExcelModel implements Serializable {

	private static final long serialVersionUID = 311997134231676639L;


	/**
	 * 接单对象类型
	 */
	@ExcelProperty(index = 0, value = "接单对象类型")
	private String targetType;

	/**
	 * 积分包名称
	 */
	@ExcelProperty(index = 1, value = "积分包名称")
	private String scorePackageName;


	/**
	 * 积分包值，单位：元
	 */
	@ExcelProperty(index = 2, value = "积分包值")
	private String score;

	/**
	 * 描述
	 */
	@ExcelProperty(index = 3, value = "描述")
	private String description;


	/**
	 * 接包对象
	 */
	@ExcelProperty(index = 4, value = "接包对象")
	private String targetName;

	/**
	 * 手机号
	 */
	@ExcelProperty(index = 5, value = "手机号")
	private String mobile;


	/**
	 * 用户id
	 */
	private String targetId;

}
