package com.qunzhixinxi.hnqz.admin.entity.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 结算包结算-导出excel模型
 *
 * @author lixuesong
 * @date 2021年07月13日 17:07
 */
@Data
public class WmSettlePackageSettleExcelModel {

	@ColumnWidth(10)
	@ExcelProperty("序号")
	private Integer number;

	@ColumnWidth(40)
	@ExcelProperty("积分包名称")
	private String scorePackageName;

	/**
	 * 任务成员
	 */
	@ColumnWidth(15)
	@ExcelProperty("任务成员")
	private String realName;

	/**
	 * 手机号
	 */
	@ColumnWidth(20)
	@ExcelProperty("手机号")
	private String username;

	/**
	 * 任务类型
	 */
	@ColumnWidth(15)
	@ExcelProperty("任务类型")
	private String taskTypeName;

	/**
	 * 项目编号
	 */
	@ColumnWidth(15)
	@ExcelProperty("项目编号")
	private String xmbm;

	/**
	 * 上传时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("上传时间")
	private LocalDateTime createTime;

	/**
	 * 预结算金额
	 */
	@ColumnWidth(15)
	@ExcelProperty("预结算金额")
	private BigDecimal settleAmount;

	/**
	 * 发票类目名称
	 */
	@ColumnWidth(15)
	@ExcelProperty("发票类目")
	private String categoryName;

	/**
	 * 结算渠道
	 */
	@ColumnWidth(15)
	@ExcelProperty("结算渠道")
	private String subType;

	/**
	 * 提交时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("提交时间")
	private LocalDateTime subTime;

	/**
	 * 回调时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("结算时间")
	private LocalDateTime notifyTime;

	/**
	 * 结算状态
	 */
	@ColumnWidth(15)
	@ExcelProperty("状态")
	private String settleNoteStatus;

}
