package com.qunzhixinxi.hnqz.admin.recharge.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 积分充值表
 * @TableName sys_dept_recharge
 */
@Data
@TableName(value ="sys_dept_recharge")
public class SysDeptRecharge implements Serializable {
    private static final long serialVersionUID = 4837376098052280830L;

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 积分余额
     */
    private Integer score;

//    /**
//     * 余额（元）
//     */
//    @Deprecated
//    private BigDecimal balance;

    /**
     * 权限
     */
    private String[] permissions;

    /**
     * 服务费率
     */
    private BigDecimal serviceCharge;

//    /**
//     * 可透支金额
//     */
//    private BigDecimal overdrawAmount;

    /**
     * 可透支积分
     */
    private Integer overdrawScore;

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 锁
     */
    private Integer version;
}