package com.qunzhixinxi.hnqz.admin.recharge.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 企业开票-审核状态
 *
 * @author snows
 * @date 2023/6/16 11:56
 */
@Getter
@AllArgsConstructor
public enum InvoiceApprovalStatus {

    PENDING("PENDING", "待审核"),
    PASSED("PASSED", "已开票"),
    REJECTED("REJECTED", "驳回");

    @EnumValue
    private final String status;

    private final String description;
}
