package com.qunzhixinxi.hnqz.admin.recharge.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 积分充值表VO
 */
@Data
public class SysDeptRechargeForParkVO implements Serializable {
    private static final long serialVersionUID = -7923044280968088176L;

    /**
     * 主键id
     */
    private Integer id;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 企业名称
     */
    private String deptName;

    /**
     * 企业类型
     */
    private Integer deptLevel;

    /**
     * 企业类型名称
     */
    private String deptLevelStr;

    /**
     * 积分余额
     */
    private Integer score = 0;

    /**
     * 可分配积分
     */
    private Integer distributableScore = 0;

    /**
     * 本月已分配积分
     */
    private Integer monthDistributeScore = 0;

    /**
     * 本月消耗积分
     */
    private Integer monthUsedScore = 0;

    /**
     * 可开票积分
     */
    private Integer toInvoiceScore = 0;

    /**
     * 本月开票积分
     */
    private Integer monthInvoiceScore = 0;

}