package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.entity.MedicalEquipment;

import java.util.List;

/**
 * @author lixuesong
 * @description 针对表【medical_equipment(医疗器械)】的数据库操作Service
 * @createDate 2022-11-08 10:03:50
 */
public interface MedicalEquipmentService extends IService<MedicalEquipment> {

	/**
	 * 查询指定企业对应的医疗器械
	 *
	 * @param deptId
	 * @return
	 */
	List<MedicalEquipment> listByDrugId(Integer deptId);
}
