package com.qunzhixinxi.hnqz.admin.service;

import com.qunzhixinxi.hnqz.admin.entity.dto.DeptTaskDTO;
import com.qunzhixinxi.hnqz.common.core.util.R;

/**
 * 企业任务服务
 *
 * @author lixuesong
 * @date 2023/09/21
 */
public interface WmDeptTaskService {

    /**
     * 企业任务保存-企业通用
     *
     * @param params 参数
     * @return {@link Boolean} 结果
     */
    Boolean saveEntTaskForTaskType61(DeptTaskDTO.TaskType61 params);

    /**
     * 企业任务保存-医学会各级年会及卫星会
     *
     * @param params 参数
     * @return {@link Boolean} 结果
     */
    Boolean saveEntTaskForTaskType62(DeptTaskDTO.TaskType62 params);

    /**
     * 企业任务保存-专家共识巡讲会
     *
     * @param params 参数
     * @return {@link Boolean} 结果
     */
    Boolean saveEntTaskForTaskType63(DeptTaskDTO.TaskType63 params);
}
