package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.entity.WmDeptTaskTypeTemplate;

import java.util.List;

/**
 * 部门任务类型模板服务层
 *
 * @author lixuesong
 * @date 2022年01月18日 11:55
 */
public interface WmDeptTaskTypeTemplateService extends IService<WmDeptTaskTypeTemplate> {

	/**
	 * 查询企业是否配置了医院拜访的任务类型模板
	 *
	 * @param deptId
	 * @param taskTypeId
	 * @return
	 */
	boolean checkDeptIdHospitalTemplate(Integer deptId, String taskTypeId);

	/**
	 * 根据deptId查询列表
	 *
	 * @param deptId
	 * @return
	 */
	List<String> listTaskTypeByDeptId(Integer deptId);
}
