package com.qunzhixinxi.hnqz.admin.service;/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */


import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.entity.WmScorePackage;
import com.qunzhixinxi.hnqz.admin.entity.WmScoreTaskType;
import com.qunzhixinxi.hnqz.common.core.util.R;

import java.util.List;

/**
 * 积分包任务类型表
 *
 * @author pigx code generator
 * @date 2021-01-04 17:13:30
 */
public interface WmScoreTaskTypeService extends IService<WmScoreTaskType> {

	int batchInsertType(List<WmScoreTaskType> wmScoreTaskTypeList);

    List<WmScoreTaskType> listWmScoreTaskTypes(WmScoreTaskType wmScoreTaskType);

    List<String> selectByScoreId(WmScorePackage wmScorePackage);

	int deleteByScoreId(String id);

	R selectByScorePackageId(WmScorePackage wmScorePackage);

	List<WmScoreTaskType>  getListByScoreId(WmScoreTaskType wmScoreTaskType);

}
