package com.qunzhixinxi.hnqz.admin.service;

import com.qunzhixinxi.hnqz.admin.entity.WmTaskTypeSubCate2;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
* @author snows
* @description 针对表【wm_dept_task_type(任务类型二级分类表)】的数据库操作Service
* @createDate 2022-12-22 23:57:19
*/
public interface WmTaskTypeSubCate2Service extends IService<WmTaskTypeSubCate2> {

	/**
	 * 根据企业id查询任务类型树
	 *
	 * @param deptId
	 * @return
	 */
	List<Map<String, Object>> listTaskTypeTree(Integer deptId);
}
