package com.qunzhixinxi.hnqz.admin;

import cn.hutool.core.collection.CollUtil;
import com.qunzhixinxi.hnqz.admin.entity.WmScorePackage;
import com.qunzhixinxi.hnqz.admin.entity.WmScorePackageSettleNote;
import com.qunzhixinxi.hnqz.admin.service.SysDeptService;
import com.qunzhixinxi.hnqz.admin.service.WmScorePackageService;
import com.qunzhixinxi.hnqz.admin.service.WmScorePackageSettleNoteService;
import com.qunzhixinxi.hnqz.admin.service.gig.GigThirdApiService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

/**
 * @author: lixuesong
 * @createTime: 2022/10/10 10:53
 * @description:
 */
@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(classes = {HnqzAdminApplication.class})
public class ApiTest {

	@Autowired
	private WmScorePackageService wmScorePackageService;

	@Autowired
	private WmScorePackageSettleNoteService wmScorePackageSettleNoteService;

	@Autowired
	private GigThirdApiService gigThirdApiService;

	@Test
	public void finishTaskTest() {
		List<WmScorePackageSettleNote> settleNoteList = wmScorePackageSettleNoteService.listByIds(CollUtil.toList(7688,
				7690,
				7700,
				7741,
				7742,
				7743,
				7744,
				7746));

		gigThirdApiService.finishTask(settleNoteList);
	}
}
