package com.qunzhixinxi.hnqz.daemon.quartz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Objects;


@Data
@TableName(value = "single_member_settle_same_amount_in_several_months")
public class SingleMemberSettleSameAmountInSeveralMonths implements Serializable {

	private static final long serialVersionUID = -3597822678068222296L;

	/**
	 * 记录id
	 */
	@TableId(type = IdType.AUTO)
	private Integer recordId;

	/**
	 * 结算记录id
	 */
	private Integer noteId;

	/**
	 * 真实名称
	 */
	private String realname;

	/**
	 * 身份证号
	 */
	private String idNumber;

	/**
	 * 用户名
	 */
	private String username;

	/**
	 * 结算企业id
	 */
	private String deptId;

	/**
	 * 结算企业信息
	 */
	private String deptName;

	/**
	 * 结算金额
	 */
	private BigDecimal settleAmount;

	/**
	 * 提交结算时间
	 */
	private LocalDateTime subToGigTime;

	/**
	 * 结算状态
	 */
	private String settleState;

	/**
	 * 结算渠道名称
	 */
	private String subTypeName;

	/**
	 * 积分包名称
	 */
	private String packageName;

	/**
	 * 结算记录创建时间
	 */
	private String settleNoteCreateTime;

	/**
	 * 统计周期
	 */
	private Integer period;

	/**
	 * 记录创建时间
	 */
	private LocalDateTime createTime;

	/**
	 * log uuid
	 */
	private String uuid;

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;

		SingleMemberSettleSameAmountInSeveralMonths that = (SingleMemberSettleSameAmountInSeveralMonths) o;

		return Objects.equals(noteId, that.noteId);
	}

	@Override
	public int hashCode() {
		return noteId != null ? noteId.hashCode() : 0;
	}
}
