package com.qunzhixinxi.hnqz.daemon.quartz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;


@Data
@TableName(value = "single_member_without_such_task_types_in_several_months")
public class SingleMemberWithoutSuchTaskTypesInSeveralMonths implements Serializable {

	private static final long serialVersionUID = -3597822678068222296L;

	/**
	 * 记录id
	 */
	@TableId(type = IdType.AUTO)
	private Integer recordId;

	/**
	 * 积分包id
	 */
	private Integer packageId;

	/**
	 * 用户id
	 */
	private Integer userId;

	/**
	 * 真实名称
	 */
	private String realname;

	/**
	 * 积分包名称
	 */
	private String packageName;

	/**
	 * 用户名
	 */
	private String username;

	/**
	 * 积分包状态
	 */
	private String status;

	/**
	 * 结算企业id
	 */
	private String deptId;

	/**
	 * 结算企业信息
	 */
	private String deptName;

	/**
	 * 积分包创建时间
	 */
	private LocalDateTime packageCreateTime;

	/**
	 * 积分包领取时间
	 */
	private LocalDateTime packagePickUpTime;

	/**
	 * 首个任务时间
	 */
	private LocalDateTime firstTaskTime;

	/**
	 * 统计周期
	 */
	private Integer period;

	/**
	 * 风控人数
	 */
	private String typeList;

	/**
	 * 记录创建时间
	 */
	private LocalDateTime createTime;

	/**
	 * uuid
	 */
	private String uuid;

}
